com.snowflake.client.core

## Class SFStatementType

- java.lang.Object
- - com.snowflake.client.core.SFStatementType

    public class SFStatementType
    extends Object

Used to check if the statementType belongs to DDL or DML The enum of each statement type is defined in com.snowflake.core.Statement.java

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`SFStatementType()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isDDL(long id)`
`static boolean` `isDML(long id)`
`static boolean` `isSelectStatement(long id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SFStatementType

    public SFStatementType()

### Method Detail

#### isSelectStatement

    public static boolean isSelectStatement(long id)

#### isDML

    public static boolean isDML(long id)

#### isDDL

    public static boolean isDDL(long id)